#ifdef __cplusplus
#include <string>
const std::string shader_3d_textured_vert = R"("
#version 300 es
precision mediump float;

layout (location = 0) in vec3 vertex_in;
layout (location = 1) in vec2 uv_in;
layout (location = 2) in vec3 normal_in;

out vec2 pos;
out vec3 normal;
out vec2 uv;

layout (std140) uniform GlobalMatrices
{
    mat4 projection;
    mat4 ortho;
    mat4 view;
    mat4 pvm;
    mat4 ovm;
};

uniform mat4 model;

void main()  {
    gl_Position = pvm * model * vec4(vertex_in, 1.0);
    pos = vertex_in.xy;
    uv = uv_in;
    normal = normal_in;
}

")";
#endif